Name:          epydoc
Version:       3.0.1
Release:       11
Summary:       API Documentation Generation Tool
License:       MIT
URL:           http://epydoc.sourceforge.net/
Source0:       https://sourceforge.net/projects/epydoc/files/epydoc/${version}/epydoc-%{version}.tar.gz

Recommends:    tex(dvips) tex(latex)
BuildRequires: python2-devel desktop-file-utils
BuildArch:     noarch

%description
Epydoc is a tool for generating API documentation for Python modules, based on
their docstrings. For an example of epydoc's output, see the API documentation
for epydoc itself (html, pdf). A lightweight markup language called epytext can be used
to format docstrings, and to add information about specific fields, such as parameters
and instance variables. Epydoc also understands docstrings written in ReStructuredText,
Javadoc, and plaintext.

%package help
Summary:   Help document files for %{name}
Provides:  %{name}-doc = %{version}-%{release}
Obsoletes: %{name}-doc < %{version}-%{release}

%description help
Help document files for %{name}.

%package gui
Summary: Graphical user interface for epydoc modules
Requires: %{name} = %{version}-%{release} python2-tkinter

%description gui
This package provides Graphical user interface for epydoc.

%prep
%setup -q

%build
%py2_build

%install
%py2_install

mv %{buildroot}%{_bindir}/apirst2html.py %{buildroot}%{_bindir}/apirst2html

%files
%doc README.txt LICENSE.txt
%{_bindir}/{apirst2html,epydoc}
%{python2_sitelib}/epydoc/
%{python2_sitelib}/epydoc-*.egg-info

%files gui
%{_bindir}/epydocgui

%files help
%doc epydoc/*

%changelog
* Tue Dec 31 2019 wangzhishun <wangzhishun1@huawei.com> - 3.0.1-11
- Package init
